# SourcePath: dbus/20170118dev
Summary: D-Bus is a simple system for interprocess communication and coordination
Name: sony-target-dev-dbus
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-dbus
Version: 1.8.20
Release: 12000001
License: GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.freedesktop.org/software/dbus/
Source: dbus-%{version}.tar.gz
Patch0: clear-guid_from_server-if-send_negotiate_unix_f.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
D-BUS is a system for sending messages between applications.
It is used both for the system-wide message bus service, and 
as a per-user-login-session messaging facility.

%package -n %{pkgname}
Summary: A collection of SNMP protocol tools and libraries
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
D-BUS is a system for sending messages between applications.
It is used both for the system-wide message bus service, and 
as a per-user-login-session messaging facility.

%prep
%setup -q -n dbus-%{version}
%patch0 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure --with-x

make CC="${CC}" all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
%demangle_libtool

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}/*

%changelog
* Wed Feb 01 2017 Sony Corporation
- Merge jethro patches

* Wed Jan 18 2017 Sony Corporation
- updated 1.6.12 -> 1.8.20

* Tue Sep 10 2013 Sony Corporation
- Initial build.
